/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.sg.balancedlibrary.onPassageMaterials.web;


import com.jeeplus.modules.sg.balancedlibrary.onPassageMaterials.entity.OnPassageMaterials;
import com.jeeplus.modules.sg.balancedlibrary.onPassageMaterials.service.OnPassageMaterialsService;
import com.jeeplus.common.utils.StringUtils;
import com.jeeplus.core.web.BaseController;
import org.apache.shiro.authz.annotation.RequiresPermissions;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.ui.Model;
import org.springframework.web.bind.annotation.ModelAttribute;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;

/**
 * 在途物资Controller
 * @author 徐滕
 * @version 1.0
 */
@Controller
@RequestMapping(value = "${adminPath}/onPassageMaterials")
public class OnPassageMaterialsController extends BaseController {

	@Autowired
	private OnPassageMaterialsService service;
	
	@ModelAttribute
	public OnPassageMaterials get(@RequestParam(required=false) String id) {
		OnPassageMaterials entity = null;
		if (StringUtils.isNotBlank(id)){
			entity = service.get(id);
		}
		if (entity == null){
			entity = new OnPassageMaterials();
		}
		return entity;
	}
	
	/**
	 * 物料替换列表页面
	 */
	@RequiresPermissions("sg:balancedlibrary:ReplaceMaterial:list")
	@RequestMapping(value = "list")
	public String list(OnPassageMaterials entity, Model model) {
		model.addAttribute("entity", entity);
		return "";
	}
	

}